<?php

namespace FiloBlu\Paymentscapture\Block\Adminhtml\System\Config;

/**
 * Renderer for Hpp Payment methods enumeration
 */

class Hpp extends \Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray
{

    /**
     * Enable the "Add after" button or not
     *
     * @var bool
     */
    protected $_addAfter = true;

    /**
     * Prepare to render
     *
     * @return void
     */
    protected function _prepareToRender()
    {
        $this->addColumn('payment_code', array(
            'label' => __('Payment Code')
        ));

        $this->addColumn('payment_name', array(
            'label' => __('Payment Name')
        ));

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add new HPP method');
    }
 
}
